#include <iostream>
const char MAX=200000;
using namespace std;
int main(){
    int n;
    double a[MAX],p[MAX],m=0,x;
    cin>>n;
    for(int i=0;i<n;i++){
        cin>>a[i];
        cin>>p[i];
        x=0;
        for(int j=0;j<=i;j++){
            if(p[i]<=p[j])
                x=x+a[j];
        }
        x=x*p[i]/100;
        if(x>m){
            m=x;
        }
    }
    printf("%f",m);

 return 0;
}